# -*- rpm-spec -*-
# $Id: libfltk,v 1.2 2002/10/15 09:23:10 grigory Exp $

%define real_name fltk
Name: lib%real_name
Version: 1.1.0rc7
Release: alt1

Summary: Multiplatform C++ GUI Fast Light ToolKit
Group: System/Libraries
Copyright: LGPL

Source: ftp://ftp.fltk.org/pub/%name/%version/%real_name-%version-source.tar.bz2
Patch1: %real_name-1.0.6-fonts.patch
Patch2: %real_name-1.0.6-fonts2.patch
Patch3: %real_name-1.0.11-GL.patch

Provides: %real_name
Obsoletes: %real_name

# Automatically added by buildreq on Fri Jul 06 2001
BuildRequires: gcc-c++ groff kernel-headers libstdc++-devel XFree86-devel XFree86-libs XFree86-devel-static XFree86-utils

%description
The Fast Light ToolKit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package devel
Summary: Development environment for multiplatform C++ GUI Fast Light ToolKit
Group: Development/C
Requires: %name = %version-%release
Provides: %real_name-devel
Obsoletes: %real_name-devel


%description devel
The Fast Light ToolKit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

This package includes header files, static library, GUI builder fluid,
needed to develop FLTK applications.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name = %version-%release %name-devel = %version-%release

%description devel-static
Static libraries for %name

%package doc
Summary: Documentation and test suit for multiplatform C++ GUI Fast Light ToolKit
Group: Development/C
Requires: %name-devel = %version-%release
Provides: %real_name-doc
Obsoletes: %real_name-doc


%description doc
The Fast Light ToolKit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

This package includes test suit and documentation, needed to develop
FLTK applications.

%prep

%setup -q -n %real_name-%version
# %patch1 -p1
# %patch2 -p1
# %patch3 -p1

%build
%configure --enable-shared
%__make depend
%make_build

%install
%makeinstall

# Prepare documentation.
%__install -p -m644 -D documentation/fluid.man %buildroot%_man1dir/fluid.1
[ -d doc ] || %__mkdir doc
%__mv %buildroot%_docdir/%real_name doc/html
%__install -p -m644 README CHANGES doc

# Prepare test suit.
%__mkdir_p %buildroot%_datadir
%__cp -a test %buildroot%_datadir/%name
%__install -p -m644 makeinclude %buildroot%_datadir/%name
pushd %buildroot%_datadir/%name
	find -type f |xargs %__grep -Fl ../fluid/fluid |
		xargs %__perl -pi -e 's|\.\./fluid/fluid|%_bindir/fluid|g'
	%__perl -pi -e '
		s|\.\./makeinclude|makeinclude|g;
		s| -[IL]\.\.[^ 	]*||g;
		s|^(\$\(ALL\):).*|$1|' \
		makeinclude Makefile
#	%__rm -f makedepend
	%__make clean
	%__chmod a-x *
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_mandir/man?/*

%files devel-static
%_libdir/*.*a

%files doc
%doc doc/*
%_datadir/%name


%changelog
* Tue Aug  6 2002 Grigory Milev <week@altlinux.ru> 1.1.0rc7-alt1
- BUG!!!! PLEASE ADD CHANGELOGS

* Tue Aug  6 2002 Grigory Milev <week@altlinux.ru> 1.1.0rc5-alt1
- new version released

* Thu Oct 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0.11-alt2
- Fixed linking with libGL (added patch3).

* Fri Jul 06 2001 Stanislav Ievlev <inger@altlinux.ru> 1.0.11-alt1
- 1.0.11, Librification, Statification.

* Sun Dec 17 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.10-ipl1mdk
- 1.0.10
- FHSification.
- Moved documentation and test suit to doc subpackage.

* Tue Jun 27 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.0.9

* Wed May 31 2000 AEN <aen@logic.ru>
- 1.0.8
- bugs in spec fixed

* Tue Dec 21 1999 AEN <aen@logic.ru>
- 1.0.7
* Fri Nov 12 1999 AEN <aen@logic.ru>
- two packages

* Wed Nov 10 1999 AEN <aen@logic.ru>
- build for RE

